
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include "base/OLog.h"
#include "base/ILog.h"
#include "base/XactStatRec.h"

XactStatRec::XactStatRec(): theOwnerSeqId(-1), theConnSeqId(-1), 
	theQueueMsec(0), theLifeMsec(0), theEmbedCount(-1) {
}

void XactStatRec::store(OLog &ol) const {
	ol << theId << theOwnerSeqId << theConnSeqId
		<< theStartTime << theQueueMsec << theLifeMsec
		<< theEmbedCount << theRepSize << theOid;
}

void XactStatRec::load(ILog &il) {
	il >> theId >> theOwnerSeqId >> theConnSeqId
		>> theStartTime >> theQueueMsec >> theLifeMsec
		>> theEmbedCount >> theRepSize >> theOid;
}
