
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "pgl/pgl.h"

#include "pgl/PglKnownNamesSym.h"


KnownNamesSym::KnownNamesSym(const String &anItemType): ArraySym(anItemType) {
}

bool KnownNamesSym::isA(const String &type) const {
	return ArraySym::isA(type) || type == "KnownNames";
}

ArraySym *KnownNamesSym::cloneType(const String &itemType) const {
	return new KnownNamesSym(itemType);
}
