
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_PROBE_SERVER_H
#define PG_PROBE_SERVER_H

#include "probe/ProbeAgent.h"

class ProbeSrvXact;

class ProbeSrv: public ProbeAgent {
	public:
		ProbeSrv(const NetAddr &aLclHost);

		virtual void exec();

		virtual void noteXactDone(ProbeSrvXact *x);
		virtual void noteReadReady(int fd);
};

#endif
