
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef XSTD_FCNTL_META_H
#define XSTD_FCNTL_META_H

#if HAVE_FCNTL_H
#include <fcntl.h>
#endif

// make 'rw' permissions flag to use in open(2)
#ifndef S_IRWMOST
#	if defined(S_IRUSR) && defined(S_IRGRP) & defined(S_IROTH)
#		define S_IRWMOST (S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH)
#   else
#		define S_IRWMOST 0000666
#	endif
#endif


#endif
