
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_ICP_PROXY_CLASS_H
#define PG_ICP_PROXY_CLASS_H

#include "icp/IcpClient.h"
#include "icp/IcpServer.h"

// combines ICP client and server capabilities
class IcpProxy: public IcpClient, public IcpServer {
	protected:
		virtual int logCat() const { return IcpClient::logCat(); }

		virtual void noteRequest(const IcpMsg &m) { IcpServer::noteRequest(m); }
		virtual void noteReply(const IcpMsg &m) { IcpClient::noteReply(m); }
};

#endif
