
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_VERSION_FOUR_ADDRESS_SCHEME_H
#define PGL_VERSION_FOUR_ADDRESS_SCHEME_H

#include "pgl/AddrSchemeSym.h"

class BenchSideSym;

// common class for all address schemes in version -4 workloads
class VerFourAsSym: public AddrSchemeSym {
	public:
		VerFourAsSym(const String &aType, PglRec *aRec);

		bool agentsPerAddr(int &apa) const;

	protected:
		String addresses(const BenchSideSym *side, int xOffset, ArraySym *&addrs) const;
};

#endif
